[Bug 559881] [NEW] libnss3-1d 3.12.6-0ubuntu0.9.10.1 breaks ssl/fips support in firefox

Launchpad Bug Tracker 559881 at bugs.launchpad.net
Sat Apr 10 19:19:19 UTC 2010

You have been subscribed to a public bug:

Binary package hint: libnss3-1d

The new update of libnss3-1d (3.12.6-0ubuntu0.9.10.1) that is in karmic-updates totally breaks the FIPS and SSL support in firefox!
All packages up-to-date using the default repos + a brand new install of Ubuntu Karmic amd64 here.

After upgrading these:
firefox (3.5.8+build1+nobinonly-0ubuntu0.9.10.1) to 3.5.9+nobinonly-0ubuntu0.9.10.1
firefox-3.5 (3.5.8+build1+nobinonly-0ubuntu0.9.10.1) to 3.5.9+nobinonly-0ubuntu0.9.10.1
firefox-3.5-branding (3.5.8+build1+nobinonly-0ubuntu0.9.10.1) to 3.5.9+nobinonly-0ubuntu0.9.10.1
firefox-3.5-gnome-support (3.5.8+build1+nobinonly-0ubuntu0.9.10.1) to 3.5.9+nobinonly-0ubuntu0.9.10.1
firefox-gnome-support (3.5.8+build1+nobinonly-0ubuntu0.9.10.1) to 3.5.9+nobinonly-0ubuntu0.9.10.1
libnss3-1d ( to 3.12.6-0ubuntu0.9.10.1
xulrunner-1.9.1 ( to
xulrunner-1.9.1-gnome-support ( to

Starting firefox with an existent profile (using FIPS) gives the error:
"Could not initialize the application's security component. The most likely cause is problems with files in your application's profile directory. Please check that this directory has no read/write restrictions and your hard disk is not full or close to full. It is recommended that you exit the application and fix the problem. If you continue to use this session, you might see incorrect application behaviour when accessing security features."
Creating a new profile and trying to enable FIPS fails with no error.

Downgrading libnss3-1d to (the only lower version available right now in official repos) and downgrading:
xulrunner-1.9.1-gnome-support from to
xulrunner-1.9.1 from to

Fixes the errors.

There are no problems with the read/write permissions in the profile

** Affects: nss (Ubuntu)
     Importance: Critical
         Status: New

** Affects: nss (Ubuntu Lucid)
     Importance: Critical
         Status: New

** Affects: nss (Ubuntu Karmic)
     Importance: Undecided
         Status: New

** Tags: amd64
libnss3-1d 3.12.6-0ubuntu0.9.10.1 breaks ssl/fips support in firefox
You received this bug notification because you are a member of Mozilla Bugs, which is subscribed to nss in ubuntu.

More information about the Ubuntu-mozillateam-bugs mailing list